package com.jiashi.service;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * [ {"inpatientNo":"35131", "disDate":"2020-07-30 00:00:00.000", "fileTitle":"0001.jpg", "uploadFileName":"1.jpg", "assortId":"078F7675CB0048EDBE586D59831C57B0" ,
 * "patientId":"12312312",
 * "name":"长三",
 * "admissDate":"住院时间",
 * "sex":"男女"
 * }
 * ]
 */
@Data

public class UploadInfo {
    private String inpatientNo;
    private String disDate;
    private String fileTitle;
    private String uploadFileName;
    private String assortId;
    private String patientId;
    private String name;
    private String admissDate;
    private String sex;

    private Integer admissTimes;

    private String mainDiagCode;

    private String mainDiagName;

    private String mainOperateCode;

    private String mainOperateName;

    private String admissDept;

    private String admissDeptName;

    private String disDeptName;

    private String idCard;

    private String wardPalce;

    private String admissId;

    public UploadInfo(String inpatientNo, String disDate, String fileTitle, String uploadFileName, String assortId,
                      String patientId, String name, String admissDate, String sex,Integer admissTimes,String mainDiagCode,String mainDiagName, String mainOperateCode,String mainOperateName,
                      String disDeptName,String idCard,String wardPalce,String admissDeptName,String admissDept,String admissId) {
        this.inpatientNo = inpatientNo;
        this.disDate = disDate;
        this.fileTitle = fileTitle;
        this.uploadFileName = uploadFileName;
        this.assortId = assortId;
        this.patientId = patientId;
        this.name = name;
        this.admissDate = admissDate;
        this.sex = sex;
        this.admissTimes = admissTimes;
        this.mainOperateName = mainOperateName;
        this.mainDiagCode = mainDiagCode;
        this.mainDiagName = mainDiagName;
        this.mainOperateCode = mainOperateCode;
        this.disDeptName = disDeptName;
        this.idCard = idCard;
        this.wardPalce = wardPalce;
        this.admissDeptName = admissDeptName;
        this.admissDept = admissDept;
        this.admissId = admissId;
        this.ssAssortId();
    }


    public void ssAssortId() {
        switch (assortId) {
            case "1":
                this.assortId = "1";
                break;
            case "2":
                this.assortId = "2";
                break;
            case "3":
                this.assortId = "3";
                break;
            case "4":
                this.assortId = "4";
                break;
            case "5":
                this.assortId = "5";
                break;
            case "6":
                this.assortId = "6";
                break;
            case "7":
                this.assortId = "7";
                break;
            case "8":
                this.assortId = "8";
                break;
            case "9":
                this.assortId = "9";
                break;
            case "10":
                this.assortId = "10";
                break;
            case "11":
                this.assortId = "11";
                break;
            case "12":
                this.assortId = "12";
                break;
            case "13":
                this.assortId = "13";
                break;
            case "14":
                this.assortId = "14";
                break;
            case "15":
                this.assortId = "15";
                break;
            case "16":
                this.assortId = "16";
                break;
            case "17":
                this.assortId = "17";
                break;
            case "18":
                this.assortId = "18";
                break;
            case "19":
                this.assortId = "19";
                break;
            case "20":
                this.assortId = "20";
                break;
            case "21":
                this.assortId = "21";
                break;
            case "22":
                this.assortId = "22";
                break;
            case "23":
                this.assortId = "23";
                break;
            case "24":
                this.assortId = "24";
                break;
            case "25":
                this.assortId = "25";
                break;
            case "26":
                this.assortId = "26";
                break;
            case "27":
                this.assortId = "27";
                break;
            case "28":
                this.assortId = "28";
                break;
            case "29":
                this.assortId = "29";
                break;
            case "30":
                this.assortId = "30";
                break;
            case "31":
                this.assortId = "31";
                break;
            case "32":
                this.assortId = "32";
                break;
            case "33":
                this.assortId = "33";
                break;
            default:
                this.assortId = "33";
        }



    }
}
