package com.jiashi.service;

import com.jiashi.MyDateUtil;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "t_card_info_upload")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CardInfo {

//    t.id,t.patno,t.patname,t.outdate,t.indate,t.outdeptname,t.patsex,t.patbirthday

    @Id
    private String id;
    @Column(name="patno")
    private String patno;
    @Column(name="patname")
    private String patname;

    @Column(name="outdate")
    private Date outdate;
    @Column(name="indate")
    private Date indate;

    private String outdeptcode;
    @Column(name="outdeptname")
    private String outdeptname;
    @Column(name="patsex")
    private String patsex;
    @Column(name="patbirthday")
    private Date patbirthday;
    private Integer state;

    private String icdecode11;

    private String icdename11;

    @Column(name="mjwesticde")
    private String mjwesticde;

    @Column(name="mjwestname")
    private String mjwestname;

    private String patciticard;

    private Integer patage;

    private String indeptcode;

    private String indeptname;

    private String outwardname;


    private Integer patnum;

    private String gestno;


    public String getOutdateStr(){
        return MyDateUtil.dateToString(this.outdate,"yyyy-MM-dd");
    }

    public String getOutdateStr2(){
        return MyDateUtil.dateToString(this.outdate,"yyyy-MM-dd HH:mm:ss");
    }


    public String getIndateStr(){
        return MyDateUtil.dateToString(this.indate,"yyyy-MM-dd HH:mm:ss");
    }
}


