package com.jiashi.service;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@Entity
@Table(name = "T_Picture")
@Data
@NoArgsConstructor
@AllArgsConstructor
@IdClass(PicturePk.class)
public class Picture {

    @Column(name="picid")
    private String picid;
    @Id
    @Column(name="picname")
    private String picname;
    @Id
    @Column(name="fileid")
    private String fileid;
    @Column(name="rotatedegree")
    private Double rotatedegree;

    @Column(name="pickind")
    private String pickind;

    public String getFileUrl(){
        String fileUrl = "c:/pic/" + this.getFileid() + "/" + this.getPicname();
        return fileUrl;
    }

}
